<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.Cocoa.XIB" version="3.0" toolsVersion="14490.70" targetRuntime="MacOSX.Cocoa" propertyAccessControl="none">
    <dependencies>
        <deployment identifier="macosx"/>
        <plugIn identifier="com.apple.InterfaceBuilder.CocoaPlugin" version="14490.70"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <customObject id="-2" userLabel="File's Owner" customClass="ASR33">
            <connections>
                <outlet property="punch" destination="113" id="145"/>
                <outlet property="reader" destination="112" id="144"/>
                <outlet property="textview" destination="250" id="264"/>
                <outlet property="typeaheadBuffer" destination="349" id="390"/>
                <outlet property="windowController" destination="18" id="347"/>
            </connections>
        </customObject>
        <customObject id="-1" userLabel="First Responder" customClass="FirstResponder"/>
        <customObject id="-3" userLabel="Application"/>
        <window title="ASR 33 Console Teletype" allowsToolTipsWhenApplicationIsInactive="NO" autorecalculatesKeyViewLoop="NO" releasedWhenClosed="NO" visibleAtLaunch="NO" frameAutosaveName="" animationBehavior="default" id="5" userLabel="ASR33Window" customClass="KeepInMenuWindow">
            <windowStyleMask key="styleMask" titled="YES" closable="YES" miniaturizable="YES" resizable="YES"/>
            <windowPositionMask key="initialPositionMask" leftStrut="YES" rightStrut="YES" topStrut="YES" bottomStrut="YES"/>
            <rect key="contentRect" x="639" y="245" width="617" height="396"/>
            <rect key="screenRect" x="0.0" y="0.0" width="1280" height="778"/>
            <value key="minSize" type="size" width="617" height="300"/>
            <view key="contentView" id="6">
                <rect key="frame" x="0.0" y="0.0" width="617" height="396"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <scrollView horizontalLineScroll="10" horizontalPageScroll="10" verticalLineScroll="10" verticalPageScroll="10" usesPredominantAxisScrolling="NO" id="247">
                        <rect key="frame" x="-1" y="-1" width="619" height="283"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <clipView key="contentView" id="CCr-Ls-5ZJ">
                            <rect key="frame" x="1" y="1" width="617" height="281"/>
                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                            <subviews>
                                <textView importsGraphics="NO" richText="NO" horizontallyResizable="YES" verticallyResizable="YES" spellingCorrection="YES" id="250" customClass="ASR33TextView">
                                    <rect key="frame" x="0.0" y="0.0" width="617" height="281"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" flexibleMinY="YES" heightSizable="YES" flexibleMaxY="YES"/>
                                    <color key="textColor" name="textColor" catalog="System" colorSpace="catalog"/>
                                    <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                                    <size key="minSize" width="617" height="281"/>
                                    <size key="maxSize" width="10000000" height="10000000"/>
                                    <color key="insertionPointColor" name="textColor" catalog="System" colorSpace="catalog"/>
                                    <connections>
                                        <outlet property="nextKeyView" destination="505" id="588"/>
                                        <outlet property="typeaheadBuffer" destination="349" id="392"/>
                                    </connections>
                                </textView>
                            </subviews>
                            <color key="backgroundColor" white="1" alpha="1" colorSpace="calibratedWhite"/>
                        </clipView>
                        <scroller key="horizontalScroller" wantsLayer="YES" verticalHuggingPriority="750" doubleValue="0.25" horizontal="YES" id="486">
                            <rect key="frame" x="1" y="266" width="617" height="16"/>
                            <autoresizingMask key="autoresizingMask"/>
                        </scroller>
                        <scroller key="verticalScroller" wantsLayer="YES" verticalHuggingPriority="750" horizontal="NO" id="485">
                            <rect key="frame" x="602" y="1" width="16" height="281"/>
                            <autoresizingMask key="autoresizingMask"/>
                        </scroller>
                        <connections>
                            <outlet property="nextKeyView" destination="505" id="578"/>
                        </connections>
                    </scrollView>
                    <box autoresizesSubviews="NO" toolTip="This area contains the registers and switches of the ASR 33 teletype" borderType="line" title="ASR 33 Teletype" id="502">
                        <rect key="frame" x="5" y="286" width="163" height="102"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                        <view key="contentView" id="wfD-tg-GUM">
                            <rect key="frame" x="3" y="3" width="157" height="84"/>
                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                            <subviews>
                                <segmentedControl verticalHuggingPriority="750" id="505">
                                    <rect key="frame" x="16" y="56" width="125" height="21"/>
                                    <autoresizingMask key="autoresizingMask" widthSizable="YES"/>
                                    <string key="toolTip">Toggles between local and online mode of the ASR 33. When the TTY is online, keystrokes or characters read from the tape are not printed or punched, but their ASCII value is loaded into KBB. When the TTY runs locally, keystrokes or characters read from the tape are printed or punched; KBB, TTO and the I/O flags are not affected.</string>
                                    <segmentedCell key="cell" controlSize="small" state="on" borderStyle="border" alignment="left" segmentDistribution="fill" style="automatic" trackingMode="selectOne" id="506">
                                        <font key="font" metaFont="smallSystem"/>
                                        <segments>
                                            <segment label="Local" imageScaling="none" width="61" selected="YES"/>
                                            <segment label="Online" imageScaling="none" width="61" tag="1"/>
                                        </segments>
                                    </segmentedCell>
                                    <connections>
                                        <action selector="localOnlineClicked:" target="18" id="507"/>
                                        <outlet property="nextKeyView" destination="509" id="570"/>
                                    </connections>
                                </segmentedControl>
                                <button hidden="YES" toolTip="Click here to discard buffered input, e. g. after accidentally pasting a large amount of text." verticalHuggingPriority="750" id="508">
                                    <rect key="frame" x="18" y="34" width="125" height="17"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                                    <buttonCell key="cell" type="recessed" title="Flush Typeahead Buffer" bezelStyle="recessed" image="buttonCell:517:image" imagePosition="below" alignment="center" controlSize="mini" borderStyle="border" inset="2" id="517">
                                        <behavior key="behavior" pushIn="YES" lightByBackground="YES" lightByGray="YES"/>
                                        <font key="font" metaFont="miniSystem"/>
                                    </buttonCell>
                                    <connections>
                                        <action selector="flush:" target="349" id="518"/>
                                    </connections>
                                </button>
                                <textField verticalHuggingPriority="750" id="509" customClass="RegisterTextField">
                                    <rect key="frame" x="45" y="12" width="29" height="19"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                                    <string key="toolTip">When the TTY in online, KBB (Keyboard Buffer) receives the characters typed at the keyboard or read from the paper tape. After putting a new value into KBB, the TTY raises its input flag.</string>
                                    <textFieldCell key="cell" controlSize="small" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" state="on" borderStyle="bezel" alignment="left" title="377" drawsBackground="YES" id="516">
                                        <font key="font" metaFont="smallSystem"/>
                                        <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                        <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                                    </textFieldCell>
                                    <connections>
                                        <outlet property="nextKeyView" destination="511" id="571"/>
                                    </connections>
                                </textField>
                                <textField verticalHuggingPriority="750" id="510">
                                    <rect key="frame" x="11" y="14" width="30" height="14"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                                    <textFieldCell key="cell" controlSize="small" scrollable="YES" lineBreakMode="clipping" sendsActionOnEndEditing="YES" alignment="right" title="KBB" id="515">
                                        <font key="font" metaFont="smallSystem"/>
                                        <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                        <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                    </textFieldCell>
                                </textField>
                                <textField verticalHuggingPriority="750" id="511" customClass="RegisterTextField">
                                    <rect key="frame" x="114" y="12" width="29" height="19"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                                    <string key="toolTip">When the CPU initializes an output operation by loading a value from AC into TTO (Teletype Output Buffer), the TTY prints or punches the character and raises then its output flag.</string>
                                    <textFieldCell key="cell" controlSize="small" scrollable="YES" lineBreakMode="clipping" selectable="YES" editable="YES" sendsActionOnEndEditing="YES" state="on" borderStyle="bezel" alignment="left" title="377" drawsBackground="YES" id="514">
                                        <font key="font" metaFont="smallSystem"/>
                                        <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                        <color key="backgroundColor" name="textBackgroundColor" catalog="System" colorSpace="catalog"/>
                                    </textFieldCell>
                                    <connections>
                                        <outlet property="nextKeyView" destination="538" id="572"/>
                                    </connections>
                                </textField>
                                <textField verticalHuggingPriority="750" id="512">
                                    <rect key="frame" x="80" y="14" width="30" height="14"/>
                                    <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                                    <textFieldCell key="cell" controlSize="small" scrollable="YES" lineBreakMode="clipping" sendsActionOnEndEditing="YES" alignment="right" title="TTO" id="513">
                                        <font key="font" metaFont="smallSystem"/>
                                        <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                        <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                    </textFieldCell>
                                </textField>
                            </subviews>
                        </view>
                        <connections>
                            <outlet property="nextKeyView" destination="503" id="589"/>
                        </connections>
                    </box>
                    <box autoresizesSubviews="NO" toolTip="his area displays the state of the low speed paper tape reader" borderType="line" title="Low Speed Paper Tape Reader" id="503">
                        <rect key="frame" x="170" y="286" width="220" height="102"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                        <view key="contentView" id="XRy-33-CMw">
                            <rect key="frame" x="3" y="3" width="214" height="84"/>
                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                            <subviews>
                                <segmentedControl toolTip="Turns the paper tape reader on or off" verticalHuggingPriority="750" id="537">
                                    <rect key="frame" x="82" y="56" width="120" height="21"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <segmentedCell key="cell" controlSize="small" enabled="NO" borderStyle="border" alignment="left" segmentDistribution="fill" style="automatic" trackingMode="selectOne" id="543">
                                        <font key="font" metaFont="smallSystem"/>
                                        <segments>
                                            <segment label="On" imageScaling="none" width="56.5"/>
                                            <segment label="Off" imageScaling="none" width="56.5" selected="YES" tag="1"/>
                                        </segments>
                                    </segmentedCell>
                                    <connections>
                                        <action selector="onOffClicked:" target="112" id="544"/>
                                        <outlet property="nextKeyView" destination="547" id="574"/>
                                    </connections>
                                </segmentedControl>
                                <segmentedControl verticalHuggingPriority="750" id="538">
                                    <rect key="frame" x="16" y="56" width="62" height="21"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <string key="toolTip">Loads or unloads a paper tape for the reader.

You also can drag files from the Finder to this button to load them.</string>
                                    <segmentedCell key="cell" controlSize="small" borderStyle="border" alignment="left" segmentDistribution="fill" style="automatic" trackingMode="momentary" id="542">
                                        <font key="font" metaFont="smallSystem"/>
                                        <segments>
                                            <segment label="Load" imageScaling="none" width="56"/>
                                        </segments>
                                    </segmentedCell>
                                    <connections>
                                        <action selector="loadUnloadClicked:" target="112" id="545"/>
                                        <outlet property="nextKeyView" destination="537" id="573"/>
                                    </connections>
                                </segmentedControl>
                                <textField hidden="YES" toolTip="Filename of the paper tape currently loaded into the reader" verticalHuggingPriority="750" id="539" customClass="EnableDisableTextField">
                                    <rect key="frame" x="18" y="14" width="182" height="19"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <textFieldCell key="cell" controlSize="small" lineBreakMode="truncatingMiddle" sendsActionOnEndEditing="YES" borderStyle="bezel" alignment="center" title="Filename" bezelStyle="round" id="541">
                                        <font key="font" metaFont="smallSystem"/>
                                        <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                        <color key="backgroundColor" red="0.84705889000000001" green="0.84705889000000001" blue="0.84705889000000001" alpha="1" colorSpace="deviceRGB"/>
                                    </textFieldCell>
                                </textField>
                                <progressIndicator hidden="YES" toolTip="Progress indicator for the paper tape reader" wantsLayer="YES" verticalHuggingPriority="750" maxValue="100" bezeled="NO" controlSize="small" style="bar" id="540" customClass="PaperTapeProgressIndicator">
                                    <rect key="frame" x="18" y="39" width="182" height="12"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                </progressIndicator>
                            </subviews>
                        </view>
                        <connections>
                            <outlet property="nextKeyView" destination="504" id="590"/>
                        </connections>
                    </box>
                    <box autoresizesSubviews="NO" toolTip="This area displays the state of the low speed paper tape punch" borderType="line" title="Low Speed Paper Tape Punch" id="504">
                        <rect key="frame" x="392" y="286" width="220" height="102"/>
                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMinY="YES"/>
                        <view key="contentView" id="Kvc-Dy-341">
                            <rect key="frame" x="3" y="3" width="214" height="84"/>
                            <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                            <subviews>
                                <segmentedControl toolTip="Turns the paper tape punch on or off" verticalHuggingPriority="750" id="546">
                                    <rect key="frame" x="82" y="56" width="120" height="21"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <segmentedCell key="cell" controlSize="small" enabled="NO" borderStyle="border" alignment="left" segmentDistribution="fill" style="automatic" trackingMode="selectOne" id="552">
                                        <font key="font" metaFont="smallSystem"/>
                                        <segments>
                                            <segment label="On" imageScaling="none" width="56.5"/>
                                            <segment label="Off" imageScaling="none" width="56.5" selected="YES" tag="1"/>
                                        </segments>
                                    </segmentedCell>
                                    <connections>
                                        <action selector="onOffClicked:" target="113" id="554"/>
                                        <outlet property="nextKeyView" destination="247" id="586"/>
                                    </connections>
                                </segmentedControl>
                                <segmentedControl verticalHuggingPriority="750" tag="1" id="547">
                                    <rect key="frame" x="16" y="56" width="62" height="21"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <string key="toolTip">Loads or unloads a paper tape for the punch.

You also can drag files from the Finder to this button to load them.</string>
                                    <segmentedCell key="cell" controlSize="small" borderStyle="border" alignment="left" segmentDistribution="fill" style="automatic" trackingMode="momentary" id="551">
                                        <font key="font" metaFont="smallSystem"/>
                                        <segments>
                                            <segment label="Load" imageScaling="none" width="56"/>
                                        </segments>
                                    </segmentedCell>
                                    <connections>
                                        <action selector="loadUnloadClicked:" target="113" id="553"/>
                                        <outlet property="nextKeyView" destination="546" id="575"/>
                                    </connections>
                                </segmentedControl>
                                <textField hidden="YES" toolTip="Filename of the paper tape currently loaded into the punch" verticalHuggingPriority="750" id="548" customClass="EnableDisableTextField">
                                    <rect key="frame" x="18" y="14" width="182" height="19"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <textFieldCell key="cell" controlSize="small" lineBreakMode="truncatingMiddle" enabled="NO" sendsActionOnEndEditing="YES" borderStyle="bezel" alignment="center" title="Filename" bezelStyle="round" id="550">
                                        <font key="font" metaFont="smallSystem"/>
                                        <color key="textColor" name="controlTextColor" catalog="System" colorSpace="catalog"/>
                                        <color key="backgroundColor" name="controlColor" catalog="System" colorSpace="catalog"/>
                                    </textFieldCell>
                                </textField>
                                <progressIndicator hidden="YES" toolTip="Progress indicator for the paper tape punch" wantsLayer="YES" verticalHuggingPriority="750" maxValue="100" bezeled="NO" indeterminate="YES" controlSize="small" style="bar" id="549" customClass="PaperTapeProgressIndicator">
                                    <rect key="frame" x="18" y="39" width="182" height="12"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                </progressIndicator>
                            </subviews>
                        </view>
                        <connections>
                            <outlet property="nextKeyView" destination="502" id="591"/>
                        </connections>
                    </box>
                </subviews>
            </view>
            <connections>
                <outlet property="delegate" destination="18" id="329"/>
                <outlet property="initialFirstResponder" destination="247" id="587"/>
            </connections>
        </window>
        <customObject id="18" userLabel="ASR33WindowController" customClass="ASR33WindowController">
            <connections>
                <outlet property="asr33" destination="-2" id="106"/>
                <outlet property="flushTypeaheadBuffer" destination="508" id="580"/>
                <outlet property="kbb" destination="509" id="566"/>
                <outlet property="localOnline" destination="505" id="567"/>
                <outlet property="tto" destination="511" id="568"/>
                <outlet property="window" destination="5" id="20"/>
            </connections>
        </customObject>
        <customObject id="112" userLabel="ReaderController" customClass="PaperTapeController">
            <connections>
                <outlet property="filenameField" destination="539" id="569"/>
                <outlet property="inputConsumer" destination="-2" id="420"/>
                <outlet property="loadUnloadButton" destination="538" id="558"/>
                <outlet property="onOffButton" destination="537" id="559"/>
                <outlet property="progressIndicator" destination="540" id="560"/>
            </connections>
        </customObject>
        <customObject id="113" userLabel="PunchController" customClass="PaperTapeController">
            <connections>
                <outlet property="filenameField" destination="548" id="561"/>
                <outlet property="inputConsumer" destination="-2" id="419"/>
                <outlet property="loadUnloadButton" destination="547" id="562"/>
                <outlet property="onOffButton" destination="546" id="563"/>
                <outlet property="progressIndicator" destination="549" id="564"/>
            </connections>
        </customObject>
        <customObject id="349" userLabel="TypeaheadBuffer" customClass="TypeaheadBuffer">
            <connections>
                <outlet property="flushTypeaheadBufferButton" destination="508" id="565"/>
                <outlet property="inputConsumer" destination="-2" id="418"/>
            </connections>
        </customObject>
    </objects>
    <resources>
        <image name="buttonCell:517:image" width="1" height="1">
            <mutableData key="keyedArchiveRepresentation">
[encoded data, 7047 characters]
E+IAAAAAAAACAQAAAAAAAABBAAAAAAAAAAAAAAAAAAAT5A
</mutableData>
        </image>
    </resources>
</document>
